
namespace eval userinfo {
	variable options

	custom::defvar options(auto_retrieve) 1 \
		[::msgcat::mc "Automatically retrieve information about participants in room."] \
		-group ConferenceInfo -type boolean
}

proc userinfo::autoretrieve {chatid nick} {
	variable options

	set connid [chat::get_connid $chatid]
	set group [chat::get_jid $chatid]

	if {$options(auto_retrieve) && [chat::is_groupchat $chatid]} {
		set jid $group/$nick
		jlib::send_iq get \
		[jlib::wrapper:createtag vCard \
			-vars [list xmlns vcard-temp]] \
		-to $jid \
		-connection $connid \
		-command [list userinfo::parse_vcard $jid]
		::userinfo::request_iq version $connid $jid
	}
}

hook::add chat_user_enter \
	[namespace current]::userinfo::autoretrieve 99
